<?php
defined(page_security_key) or exit;

if (debug && debug_id == $_SESSION['id']){
    ini_set('display_errors', '1');
    ini_set('display_startup_errors', '1');
    error_reporting(E_ALL);  
}

include_once './assets/functions.php';
include_once './settings/settings_redirector.php';

//SET ORIGIN FOR NAVIGATION
$_SESSION['prev_origin'] = '';

//Check if allowed
if (isAllowed('accounts',$_SESSION['profile'],$_SESSION['permission'],'R') === 0){
    header('location: index.php');
    exit;
}

//GET PARAMETERS
$pagination_page = isset($_GET['p']) ? $_GET['p'] : 1;
$status = isset($_GET['status']) ? '&status='.$_GET['status'] : '';
$search = isset($_GET['search']) ? '&search='.$_GET['search'] : '';

// Determine the URL
$url = 'index.php?page=accounts'.$status.$search;
//GET Details from URL
$GET_VALUES = urlGETdetails($_GET) ?? '';
//CALL TO API
$api_url = '/v1/accounts/'.$GET_VALUES;
$responses = ioServer($api_url,'');
//Decode Payload
if (!empty($responses)){$responses = decode_payload($responses);}else{$responses = null;}
//Return QueryTotal from API
$api_url = '/v1/accounts/'.$GET_VALUES.'&totals=';
$query_total = ioServer($api_url,'');
//Decode Payload
if (!empty($query_total)){$query_total = decode_payload($query_total);}else{$query_total = null;}

// Handle success messages
if (isset($_GET['success_msg'])) {
    if ($_GET['success_msg'] == 1) {
        $success_msg = $message_account_1;
    }
    if ($_GET['success_msg'] == 2) {
        $success_msg = $message_account_2;
    }
    if ($_GET['success_msg'] == 3) {
        $success_msg = $message_account_3;
    }
}

template_header('accounts', 'accounts','view');
$view = '
<div class="content-title">
    <div class="title">
        <i class="fa-solid fa-box-open"></i>
        <div class="txt">
            <h2>'.$account_h2.' ('.$query_total.')</h2>
            <p>'.$account_p .'</p>
        </div>
    </div>
</div>';

if (isset($success_msg)){
$view .= ' <div class="msg success">
                <i class="fas fa-check-circle"></i>
                <p>'.$success_msg.'</p>
                <i class="fas fa-times"></i>
            </div>';
}
$view .= '
<div class="content-header responsive-flex-column pad-top-5">
    <a href="index.php?page=account_manage" class="btn">'.$button_create_account.'</a>
    <form action="" method="get">
        <input type="hidden" name="page" value="accounts">
            <div class="filters">
                <a href="#"><i class="fa-solid fa-filter"></i>'.$general_filters.'</a>
                <div class="list">
                <select name="status">
                    <option value="" disabled selected>'.$account_status.'</option>
                    <option value="0">'.$accountstatus_0.'</option>
                    <option value="1">'.$accountstatus_1.'</option>   
                    <option value="2">'.$accountstatus_2.'</option>   
                </select>
                <button type="submit">'.$button_apply.'</button>
            </div>
        </div>
        <div class="search">
            <label for="search">
                <input id="search" type="text" name="search" placeholder="'.$account_search.'" value="" class="responsive-width-100">
                <i class="fas fa-search"></i>
            </label>
        </div>
    </form>
</div>
';

$view .= '
<div class="content-block">
    <div class="table">
        <table class="sortable">
            <thead>
                <tr>
                    <th>'.$account_id.'</th>
                    <th>'.$account_status.'</th>
                    <th>'.$account_name.'</th>
                    <th>'.$general_actions.'</th>
                </tr>
            </thead>
            <tbody>
            ';

            if (empty($responses)){

                $view .= '
                <tr>
                    <td colspan="8" style="text-align:center;">'.$message_no_account.'</td>
                </tr>';
            }
            else {
                foreach ($responses as $response){    
                
                $account_details = json_decode($response->accountdetails);
                $view .= ' 
                    <tr>
                    <td>'.$response->rowID.'</td>
                    <td>'.(($response->status == 'Customer')? '<span class="status enabled">'.$response->status:'<span class="status">'.$response->status).'</td>
                    <td>'.$account_details->billcompany.'</td>
                    <td><a href="index.php?page=account&rowID='.$response->rowID.'" class="btn_link">'.$general_view .'</a></td>
                </tr>
                ';
                }
            }
$view .= ' 
            </tbody>
        </table>
    </div>
</div>
';

$view.='<div class="pagination">';
if ($pagination_page > 1) {
    $page = $pagination_page-1;
    $view .= '<a href="'.$url.'&p=1">'.$general_first.'</a>';
    $view .= '<a href="'.$url.'&p='.$page.'">'.$general_prev.'</a>';
}
$totals = ceil($query_total / $page_rows_accounts) == 0 ? 1 : ceil($query_total / $page_rows_accounts);
$view .= '<span> '.$general_page.$pagination_page.$general_page_of.$totals.'</span>';
if ($pagination_page * $page_rows_accounts < $query_total){
    $page = $pagination_page+1;
    $view .= '<a href="'.$url.'&p='.$page.'">'.$general_next.'</a>';
    $view .= '<a href="'.$url.'&p='.$totals.'">'.$general_last.'</a>';

}
$view .= '</div>';
//OUTPUT
echo $view;

template_footer();
?>